/**************************************************************************************
 *                                                                                    *
 * This application contains code from OpenDivX and is released as a "Larger Work"    *
 * under that license. Consistant with that license, this application is released     *
 * under the GNU General Public License.                                              *
 *                                                                                    *
 * The OpenDivX license can be found at: http://www.projectmayo.com/opendivx/docs.php *
 * The GPL can be found at: http://www.gnu.org/copyleft/gpl.html                      *
 *                                                                                    *
 * Copyright (c) 2001 - Project Mayo                                                  *
 *                                                                                    *
 * Authors: Damien Chavarria <adrc at projectmayo.com>                                *
 *                                                                                    *
 **************************************************************************************/

#ifndef PM_DEBUG_H
#define PM_DEBUG_H

#include <windows.h>

/*
 * Version
 */

#define VERSION "0.3.2"

/*
 * DEBUG MACRO
 */

#define PM_DEBUG(X, arg) { \
  \
  char msg[256]; \
  sprintf(msg, X, arg); \
  MessageBox(NULL, msg, "DEBUG", MB_OK); \
}

#endif